Bug 178384 - [maintainer] lang/haskell-mode.el update to 2.9.1
Summary: [maintainer] lang/haskell-mode.el update to 2.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-07 05:20 UTC by Hirohisa Yamaguchi
Modified: 2013-05-18 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.39 KB, patch)
2013-05-07 05:20 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2013-05-07 05:20:00 UTC
	The newer version of lang/haskell-mode.el 2.9.1 is available
	at the official repository on GitHub.

Fix: The patch follows:
		M       lang/haskell-mode.el/Makefile
		M       lang/haskell-mode.el/distinfo
		M       lang/haskell-mode.el/files/pkg-message.in
How-To-Repeat: 	N/A
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-05-18 21:42:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2013-05-18 21:42:22 UTC
Author: rakuco
Date: Sat May 18 20:42:13 2013
New Revision: 318454
URL: http://svnweb.freebsd.org/changeset/ports/318454

Log:
  Update to 2.9.1.
  
  PR:		ports/178384
  Submitted by:	Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)

Modified:
  head/lang/haskell-mode.el/Makefile
  head/lang/haskell-mode.el/distinfo
  head/lang/haskell-mode.el/files/pkg-message.in

Modified: head/lang/haskell-mode.el/Makefile
==============================================================================
--- head/lang/haskell-mode.el/Makefile	Sat May 18 20:35:07 2013	(r318453)
+++ head/lang/haskell-mode.el/Makefile	Sat May 18 20:42:13 2013	(r318454)
@@ -1,40 +1,46 @@
-# New ports collection makefile for:	haskell-mode.el
-# Date created:		5 March 2004
-# Whom:			Josh Elsasser <jre@vineyard.net>
-#
+# Created by: Josh Elsasser <jre@vineyard.net>
 # $FreeBSD$
-#
 
 PORTNAME=	haskell-mode
-PORTVERSION=	2.8.0
+PORTVERSION=	2.9.1
 CATEGORIES=	lang elisp
-MASTER_SITES=	http://projects.haskell.org/haskellmode-emacs/
 
 MAINTAINER=	umq@ueo.co.jp
-COMMENT=	An Emacs lisp mode for editing haskell programs
-
-NO_BUILD=	yes
+COMMENT=	Emacs lisp mode for editing haskell programs
 
 LICENSE=	GPLv3
-PORTDOCS=	ChangeLog NEWS fontlock.hs indent.hs README
+
+OPTIONS_DEFINE=	DOCS
+
+GH_ACCOUNT=	haskell
+GH_COMMIT=	166ec39
+GH_TAGNAME=	${PORTVERSION:S/./_/g}
+NO_BUILD=	yes
+PORTDOCS=	NEWS fontlock.hs indent.hs README.md
+USE_GITHUB=	yes
 
 ELISPDIR=	${PREFIX}/${PLIST_DIRS}
-ELISPFILES=	ghc-core.el haskell-c.el haskell-cabal.el haskell-decl-scan.el \
+ELISPFILES=	ghc-core.el haskell-align-imports.el haskell-c.el \
+		haskell-cabal.el haskell-checkers.el haskell-decl-scan.el \
 		haskell-doc.el haskell-font-lock.el haskell-ghci.el \
 		haskell-hugs.el haskell-indent.el haskell-indentation.el \
-		haskell-mode.el haskell-simple-indent.el haskell-site-file.el \
-		inf-haskell.el
+		haskell-interactive-mode.el haskell-mode.el \
+		haskell-move-nested.el  haskell-navigate-imports.el \
+		haskell-package.el haskell-process.el haskell-session.el \
+		haskell-show.el haskell-simple-indent.el haskell-site-file.el \
+		haskell-sort-imports.el haskell-string.el inf-haskell.el
 
 PLIST_DIRS=	share/emacs/site-lisp/${PORTNAME}/
 PLIST_FILES=	${ELISPFILES:C/^| [^ ]/${PLIST_DIRS}/g}
 SUB_FILES=	pkg-message
 
+.include <bsd.port.options.mk>
 do-install:
 	@${MKDIR} ${ELISPDIR}
 	@${INSTALL_DATA} ${ELISPFILES:S,^,${WRKSRC}/,} ${ELISPDIR}/
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
 .endif

Modified: head/lang/haskell-mode.el/distinfo
==============================================================================
--- head/lang/haskell-mode.el/distinfo	Sat May 18 20:35:07 2013	(r318453)
+++ head/lang/haskell-mode.el/distinfo	Sat May 18 20:42:13 2013	(r318454)
@@ -1,2 +1,2 @@
-SHA256 (haskell-mode-2.8.0.tar.gz) = 614dc82977fe5f1b3ecc85a34897409ad6218bee0e1a88611747b1e13b79c580
-SIZE (haskell-mode-2.8.0.tar.gz) = 107284
+SHA256 (haskell-mode-2.9.1.tar.gz) = 90dd5590162583f099a900f2f71b06625f5e48cdce1b566fc5fd8d248c6f1242
+SIZE (haskell-mode-2.9.1.tar.gz) = 123603

Modified: head/lang/haskell-mode.el/files/pkg-message.in
==============================================================================
--- head/lang/haskell-mode.el/files/pkg-message.in	Sat May 18 20:35:07 2013	(r318453)
+++ head/lang/haskell-mode.el/files/pkg-message.in	Sat May 18 20:42:13 2013	(r318454)
@@ -4,12 +4,11 @@ To use haskell-mode in Emacs, add the fo
 
 Add the following lines according to which modules you want to use:
 
-(add-hook 'haskell-mode-hook 'turn-on-haskell-decl-scan)
 (add-hook 'haskell-mode-hook 'turn-on-haskell-doc-mode)
 (add-hook 'haskell-mode-hook 'turn-on-haskell-indentation)
 (add-hook 'haskell-mode-hook 'turn-on-haskell-indent)
 (add-hook 'haskell-mode-hook 'turn-on-haskell-simple-indent)
-(add-hook 'haskell-mode-hook 'turn-on-font-lock)
+(add-hook 'haskell-mode-hook 'font-lock-mode)
 
 Note that the three indentation modules are mutually exclusive - add at
 most one.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"